Bug 168691 - no Job ID was provided in the time required
no Job ID was provided in the time required
Status: CLOSED RAWHIDE
Product: Fedora Infrastructure
Classification: Retired
Component: extras buildsys (Show other bugs)
unspecified
All Linux
medium Severity high
: ---
: ---
Assigned To: Seth Vidal
Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-19 12:09 EDT by Ralf Corsepius
Modified: 2007-04-18 13:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-18 21:46:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2005-09-19 12:09:01 EDT
Description of problem:
# make plague
...

/usr/bin/plague-client build perl-File-Flat perl-File-Flat-0_95-2_fc5 devel
Package perl-File-Flat enqueued.  (However, no Job ID was provided in the time
required)

/me thinks this build system is broken.

Date: Mon Sep 19 16:09:28 GMT 2005
ca. 1 hour ago it seemed to be functional.
Comment 1 Ralf Corsepius 2005-09-19 12:13:14 EDT
Addition:

# plague-client list email rc040203@freenet.de
Traceback (most recent call last):
  File "/usr/bin/plague-client", line 421, in ?
    list_jobs(server, sys.argv[2:])
  File "/usr/bin/plague-client", line 171, in list_jobs
    (e, msg, jobs) = server.list_jobs(query_args)
  File "/usr/lib/python2.4/xmlrpclib.py", line 1096, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib/python2.4/xmlrpclib.py", line 1383, in __request
    verbose=self.__verbose
  File "/usr/lib/python2.4/xmlrpclib.py", line 1147, in request
    return self._parse_response(h.getfile(), sock)
  File "/usr/lib/python2.4/xmlrpclib.py", line 1286, in _parse_response
    return u.close()
  File "/usr/lib/python2.4/xmlrpclib.py", line 744, in close
    raise Fault(**self._stack[0])
xmlrpclib.Fault: <Fault 1: '_sqlite.OperationalError:database is locked'>

<comment>censored</comment>

Comment 2 Dan Williams 2005-11-18 21:46:24 EST
Closing, this is a transient error and should usually be fixed with a
buildsystem kick when the build system is acting up.  Furthermore, we're no
longer using sqlite which should help this quite a bit.

Note You need to log in before you can comment on or make changes to this bug.